log4cplus::detail Namespace Reference

## Functions

LOG4CPLUS_EXPORT void | clear_tostringstream (tostringstream &)
Logger | macros_get_logger (Logger const &logger)
Logger const & | macros_get_logger (Logger &logger)
Logger | macros_get_logger (Logger &&logger)
Logger | macros_get_logger (tstring const &logger)
Logger | macros_get_logger (tchar const *logger)
LOG4CPLUS_EXPORT log4cplus::tostringstream & | get_macro_body_oss ()
LOG4CPLUS_EXPORT log4cplus::helpers::snprintf_buf & | get_macro_body_snprintf_buf ()
LOG4CPLUS_EXPORT void | macro_forced_log (log4cplus::Logger const &, log4cplus::LogLevel, log4cplus::tstring const &, char const *, int, char const *)
LOG4CPLUS_EXPORT void | macro_forced_log (log4cplus::Logger const &, log4cplus::LogLevel, log4cplus::tchar const *, char const *, int, char const *)

## Function Documentation

## clear_tostringstream()

LOG4CPLUS_EXPORT void log4cplus::detail::clear_tostringstream | ( | tostringstream & |  | ) |

References LOG4CPLUS_EXPORT.

## get_macro_body_oss()

LOG4CPLUS_EXPORT log4cplus::tostringstream & log4cplus::detail::get_macro_body_oss | ( |  | ) |

References LOG4CPLUS_EXPORT.

## get_macro_body_snprintf_buf()

LOG4CPLUS_EXPORT log4cplus::helpers::snprintf_buf & log4cplus::detail::get_macro_body_snprintf_buf | ( |  | ) |

References LOG4CPLUS_EXPORT.

## macro_forced_log() [1/2]

LOG4CPLUS_EXPORT void log4cplus::detail::macro_forced_log | ( | log4cplus::Logger const & | ,
|  | log4cplus::LogLevel | ,
|  | log4cplus::tchar const * | ,
|  | char const * | ,
|  | int | ,
|  | char const * | )

References LOG4CPLUS_EXPORT.

## macro_forced_log() [2/2]

LOG4CPLUS_EXPORT void log4cplus::detail::macro_forced_log | ( | log4cplus::Logger const & | ,
|  | log4cplus::LogLevel | ,
|  | log4cplus::tstring const & | ,
|  | char const * | ,
|  | int | ,
|  | char const * | )

References LOG4CPLUS_EXPORT.

## macros_get_logger() [1/5]

Logger log4cplus::detail::macros_get_logger | ( | Logger && | logger | ) |

inline

Definition at line 103 of file loggingmacros.h.

## macros_get_logger() [2/5]

Logger const & log4cplus::detail::macros_get_logger | ( | Logger & | logger | ) |

inline

Definition at line 95 of file loggingmacros.h.

## macros_get_logger() [3/5]

Logger log4cplus::detail::macros_get_logger | ( | Logger const & | logger | ) |

inline

Definition at line 87 of file loggingmacros.h.

## macros_get_logger() [4/5]

Logger log4cplus::detail::macros_get_logger | ( | tchar const * | logger | ) |

inline

Definition at line 118 of file loggingmacros.h.

References log4cplus::Logger::getInstance().

## macros_get_logger() [5/5]

Logger log4cplus::detail::macros_get_logger | ( | tstring const & | logger | ) |

inline

Definition at line 110 of file loggingmacros.h.

References log4cplus::Logger::getInstance().